指定尺寸和公差中分数值的格式。 支持的平台:仅窗口 属性值只读:不 类型:枚举acDimFractionType
言论此属性在属性设置为 or 时使用。UnitsFormatacDimLArchitecturalacDimLFractional 注意:此属性将覆盖给定维度的 DIMFRAC 系统变量的值。
例子工 务 局: Sub Example_FractionFormat() ' This example creates an aligned dimension in model space and ' uses FractionFormat to cycle through some fractional formats ' for the dimension. ' * Note the appearance of the "1/2" component of the dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Switch to a mode that works with the FractionFormat property dimObj.UnitsFormat = acDimLArchitectural ' Cycle through some common fractional formats dimObj.FractionFormat = acDiagonal ' Change format to Diagonal ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now set to diagonal" dimObj.FractionFormat = acHorizontal ' Change format to Horizontal ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now set to horizontal" dimObj.FractionFormat = acNotStacked ' Change format to NotStacked ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now unstacked" End Sub Visual LISP: (vl-load-com) (defun c:Example_FractionFormat() ;; This example creates an aligned dimension in model space and ;; uses FractionFormat to cycle through some fractional formats ;; for the dimension. ;; * Note the appearance of the "1/2" component of the dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 0 5 0) point2 (vlax-3d-point 5.5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Switch to a mode that works with the FractionFormat property (vla-put-UnitsFormat dimObj acDimLArchitectural) ;; Cycle through some common fractional formats (vla-put-FractionFormat dimObj acDiagonal) ;; Change format to Diagonal (vla-Regen doc acAllViewports) (alert "The dimension format is now set to diagonal") (vla-put-FractionFormat dimObj acHorizontal) ;; Change format to Horizontal (vla-Regen doc acAllViewports) (alert "The dimension format is now set to horizontal") (vla-put-FractionFormat dimObj acNotStacked) ;; Change format to NotStacked (vla-Regen doc acAllViewports) (alert "The dimension format is now unstacked") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:42
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.